Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.util
Class P13NEntityResolver

    java.lang.Object
      |
      +--com.beasys.commerce.axiom.util.P13NEntityResolver

Deprecated. Use `DefaultEntityResolver` instead.

public class P13NEntityResolver
extends java.lang.Object
implements org.xml.sax.EntityResolver

A SAX EntityResolver which can get XML Entities (including DTDs) for WLCS.

This first looks for a file of the SYSTEM ID, relative to the basePath (either specified in the constructor or defaults to the value of the "commerce.xml.entity.basePath" property in the weblogicommerce.properties file, which defaults to "lib/dtd"). If that fails, it pulls the filename portion of the SYSTEM ID and tries that relative to the same basePath. Failing that, it looks in the CLASSPATH for the SYSTEM ID, relative to the basePath. Failing that, it looks in the CLASSPATH for the SYSTEM ID. Failing that, it looks in the CLASSPATH for the filename of the SYSTEM ID, relative to the basePath. Failing that, it looks in the CLASSPATH for filename of SYSTEM ID.

Field Summary
`protected java.lang.String` | `basePath` Deprecated. Our basePath.

Constructor Summary
`P13NEntityResolver()` Deprecated.
`P13NEntityResolver(java.lang.String basePath)` Deprecated. Constructor.

Method Summary
`static java.lang.String` | `getBasePath()` Deprecated. Get the base directory where DTDs live from the weblogiccommerce.properties file.
`static org.xml.sax.EntityResolver` | `getInstance()` Deprecated. Get the singleton instance.
`org.xml.sax.InputSource` | `resolveEntity(java.lang.String publicId, java.lang.String systemId)` Deprecated. Resolve a SAX Entity to an InputSource.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### basePath

    protected java.lang.String basePath

  Deprecated.
  Our basePath.

Constructor Detail

### P13NEntityResolver

    public P13NEntityResolver(java.lang.String basePath)

  Deprecated.
  Constructor.

  Parameters:
    `basePath` - the base path (in the CLASSPATH) to look for DTDs (us empty or null for full CLASSPATH search).

### P13NEntityResolver

    public P13NEntityResolver()

  Deprecated.

Method Detail

### getInstance

    public static org.xml.sax.EntityResolver getInstance()

  Deprecated.
  Get the singleton instance.

### getBasePath

    public static java.lang.String getBasePath()

  Deprecated.
  Get the base directory where DTDs live from the weblogiccommerce.properties file.

### resolveEntity

    public org.xml.sax.InputSource resolveEntity(java.lang.String publicId,
                                                 java.lang.String systemId)
                                          throws java.io.IOException,
                                                 org.xml.sax.SAXException

  Deprecated.
  Resolve a SAX Entity to an InputSource.

  See the base class comments for the search order.

  Specified by:
    resolveEntity in interface org.xml.sax.EntityResolver

  Parameters:
    `publicId` - the entity's PUBLIC ID.
    `systemId` - the entity's SYSTEM ID.
  Returns:
    the Entity, or null if the parser should do its default action.
  Throws:
    java.io.IOException - thrown on an I/O error finding the entity.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved